#
# spec file for package turing
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           turing
Version:        1.1.git.1480437484.f7138f9
Release:        1.1
Summary:        H.265/HEVC video encoder/decoder
License:        GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://turingcodec.org/
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  cmake >= 2.8
BuildRequires:  gcc-c++
BuildRequires:  git
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:	x86_64

%description
The Turing codec is an H.265/HEVC software video encoder and decoder for efficient video compression.
The codec is optimised for fast encoding of large resolution video content while at the same time
preserving high perceptual qualities of the generated compressed video streams.

%package -n %{name}-devel
Summary:        Include files for the Turing codec
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{name}-devel < %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{name}-devel
This package provides the development header files for the Turing codec.

%prep
%setup -q

%build
%{__cmake} .
make %{?_smp_mflags}

%install
install -Dsm 755 %{name}/%{name} %{buildroot}%{_bindir}/%{name}
install -Dsm 755 havoc/havoc %{buildroot}%{_bindir}/havoc
install -Dm 644 %{name}/%{name}.h %{buildroot}%{_includedir}/%{name}.h


%files
%defattr(-,root,root)
%{_bindir}/*
%doc README.md COPYING

%files -n %{name}-devel
%defattr(-,root,root)
%{_includedir}/*.h

%changelog
* Wed Nov 30 2016 neutrino8@opensuse.org
- Update to latest git master
* Fri Oct 28 2016 neutrino8@gmail.com
- Initial package
